Retrieve exchange rates for a LAT or token
curl --request GET \
--url https://api.area.club/lat/exchange/{address}import requests
url = "https://api.area.club/lat/exchange/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.area.club/lat/exchange/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613",
"exchangeRates": {
"lsETH": 1.0349318735540942,
"stETH": 0.9604424293594457,
"rETH": 1.0830969511435182,
"WETH": 0.9611719303441052
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}LAT Data API
Retrieve exchange rates for a LAT or token
Returns exchange rates for a given LAT to all supported tokens or a token to all supported LATs
GET
/
lat
/
exchange
/
{address}
Retrieve exchange rates for a LAT or token
Path Parameters
Contract address of the token or LAT (proxy)
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613"
Response
Exchange rates for the specified token or LAT
Contract address of the token or LAT (proxy)
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613"
Exchange rates for the token or LAT
Show child attributes
Show child attributes
Example:
{
"lsETH": 1.0349318735540942,
"stETH": 0.9604424293594457,
"rETH": 1.0830969511435182,
"WETH": 0.9611719303441052
}
⌘I